Subject: Re: [PATCH RFC] tun: export underlying socket

From: Or Gerlitz <[email-masked]>
Date: Tue, 15 Sep 2009 16:02:35 +0300

Herbert Xu wrote:
> TSO is not a problem because we provide a software fallback when
> the hardware does not support it.  So guests should always enable
> TSO if they support it and not worry about the physical NIC.

Yes, I am aware that GSO can take action and so software segmentation is / can be done when the HW isn't capable of doing so (and I assume the same can go for checksum). I assume that by "we provide" you mean the core networking code, correct? in what level? I assume its not the TCP one, since this is not applicable a tun/bridge scheme. Simper example would be the vm nic MTU... with vhost attached directly to a nic with packet socket you can learn/control it all, where when tun/bridge is used, how can you tell?

Or.